/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --black-color: hsl(0, 0%, 100%);
  --black-color-light:hsl(132, 89%, 86%);
  --black-color-lighten: hsl(147.79,65.07%,55.1%);
  --white-color: #000000;;
  --text-hover-color: white;
  --body-color: none;

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Poppins", sans-serif;
  --normal-font-size: .938rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-semi-bold: 600;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}


body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  padding: 0;
  margin: 0;
  /* background-color: var(--body-color); */
}

ul {
  list-style: none;
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/
/* .container {
  max-width: 1350px;
  margin-inline: 4rem;
} */

/*=============== HEADER ===============*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--black-color);
  box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3);
  z-index: var(--z-fixed);
}

/*=============== NAV ===============*/
.nav {
  height: var(--header-height);
}

.nav__logo, 
.nav__burger, 
.nav__close {
  color: var(--white-color);
}

.nav__data {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo {
  display: inline-flex;
  align-items: center;
  column-gap: .25rem;
  font-weight: var(--font-semi-bold);
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}

.nav__logo i {
  font-weight: initial;
  font-size: 1.25rem;
}

.imglogo{
  height: 2.3rem;
  width:2.1rem;
}




.nav__toggle {
  position: relative;
  width: 32px;
  height: 32px;
}

.nav__burger, 
.nav__close {
  position: absolute;
  width: max-content;
  height: max-content;
  inset: 0;
  margin: auto;
  font-size: 1.25rem;
  cursor: pointer;
  transition: opacity .1s, transform .4s;
}

.nav__close {
  opacity: 0;
}


.add_compbtn{
  cursor: pointer;
  border: none;
  /* background-color: #23D375FF; */
  background-color: hsl(147.79,65.07%,55.1%);;
  color: black;
  padding: 12px 20px;
  border-radius: 5px 0 0 5px;
  font-weight: bold;
  /* font-size: .9rem; */
}

.dropdown_arrow_1 {
/* background-color: #23D375FF; */
background-color: hsl(147.79,65.07%,55.1%);
padding: 9px 10px;
border-radius: 0 5px 5px 0;
}

.login_margin{
  margin-right: 3.5rem;
}




/* Navigation for mobile devices */
@media screen and (max-width: 1118px) {

  .nav {
    height: 4rem;
  }

  .container {
    /* max-width: 1350px; */
    margin-inline: 1.5rem;
  }

    /* voltbrdige name centered; adjustment made; due to logo name gets unaligned. sol: use image with logo and name */
    .titlevb{
      padding-top:5px;
    }
  

  .nav__logo{
    font-weight: bold;
    font-size: 10px;
  }

  .imglogo{
    height: 2rem;
    width: 1.5rem;
  }

  
.nav__data {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}



  .nav__menu {
    position: absolute;
    left: 0;
    top: 2.5rem;
    width: 100%;
    height: calc(100vh - 3.5rem);
    overflow: auto;
    pointer-events: none;
    opacity: 0;
    transition: top .4s, opacity .3s;
    background-color: rgb(255, 255, 255);
  }
  .nav__menu::-webkit-scrollbar {
    width: 0;
  }
  .nav__list {
    /* background-color: var(--black-color); */
    background-color: var(--text-color);
    padding-top: 1rem;
  }

/* for adjusting the dropdown button pill adjustment starts here */
.parent_link{
  background-color: var(--black-color);
  border-radius: 0px 0px 10px 10px;
  padding: 0.5rem ;
  
}
.dropdown__link, 
.dropdown__sublink {
  font-size: 0.75rem;
  /* margin-top: 0.5rem; */
  margin-bottom: 0.5rem;
  /* padding: 1.1rem 0rem 1.1rem 2.1rem; */
  padding: 1.25rem 1.25rem 1.25rem 2.5rem;
  color: var(--text-color);
  background-color: var(--black-color-light);
  display: flex;
  align-items: center;
  /* column-gap: .5rem; */
  font-weight: var(--font-semi-bold);
  transition: background-color .3s;
  border-radius: 10px; 
}
/* for adjusting the dropdown button pill adjustment ends here */


  .dropdown_arrow_1 {
    /* background-color: #23D375FF; */
    background-color: transparent;
    padding: 9px 10px;
    border-radius: 0 5px 5px 0;
    }

    .login_margin{
      margin-right: 0rem;
    }

    .add_compbtn{
      cursor: pointer;
      border: solid;
      border-color:  hsl(147.79,65.07%,55.1%); 
      /* background-color: #23D375FF; */
      background-color: hsl(0, 0%, 100%);
      /* background-color: hsl(0, 0%, 100%); */
      color: black;
      padding: 12px 20px;
      border-radius: 5px 5px 5px 5px;
      font-family: "poppins";
      font-size: 0.8rem;
      /* font-weight: bold; */
      /* font-size: .9rem; */
    }

    .addcomp{
      border-top: solid;
      border-color:  hsl(147.79,65.07%,55.1%); ;
      /* background-color: #23D375FF; */
      background-color: hsl(0, 0%, 100%);
      /* background-color: hsl(0, 0%, 100%); */
      color: black;
      padding: 12px 20px;
      border-radius: 5px 5px 5px 5px;
      font-weight: bold;
    }

    .loginbtn{
      border: solid;
      border-color:  hsl(147.79,65.07%,55.1%); ;
      /* background-color: #23D375FF; */
      background-color: hsl(0, 0%, 100%);
      /* background-color: hsl(0, 0%, 100%); */
      color: black;
      padding: 12px 20px;
      border-radius: 5px 5px 5px 5px;
      border-left: none;
      border-right:none;

    }

    .loginword{
      padding-left:2.5rem;
      border: solid;
      border-color:  hsl(147.79,65.07%,55.1%); ;
      /* background-color: #23D375FF; */
      background-color: hsl(0, 0%, 100%);
      color: black;
      padding: 12px 20px;
      border-radius: 5px 5px 5px 5px;
      /* font-family: "poppins"; */
      font-weight: bold;
      font-size: 0.8rem;
    }

    
.dropdown__menu, 
.dropdown__submenu {
  justify-content: center;
  max-height: 0;
  width: 100%; 
  /* width of the parent container in hover on add you comp button */
  overflow: hidden;
  transition: max-height .4s ease-out;
}

  
}


.nav__link {
  color: var(--white-color);
  background-color: var(--black-color);
  font-weight: var(--font-semi-bold);
  padding: 1.25rem 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: background-color .3s;
}

.nav__link:hover {
  background-color: var(--black-color-light);
}

/* Show menu */
.show-menu {
  opacity: 1;
  top: 3.5rem;
  pointer-events: initial;
}

/* Show icon */
.show-icon .nav__burger {
  opacity: 0;
  transform: rotate(90deg);
}
.show-icon .nav__close {
  opacity: 1;
  transform: rotate(90deg);
}

/*=============== DROPDOWN ===============*/
.dropdown__item {
  cursor: pointer;
}

.dropdown__arrow {
  font-size: 1.25rem;
  font-weight: initial;
  transition: transform .4s;
}


.dropdown__link i, 
.dropdown__sublink i {
  /* font-size: 1.25rem; */
  font-weight: initial;
}

.dropdown__link:hover, 
.dropdown__sublink:hover {
  background-color: var(--black-color-lighten);
  color: var(--text-hover-color);
}

  /* width of the parent container in hover on add you comp button */
/* .dropdown__menu, 
.dropdown__submenu {
  justify-content: center;
  max-height: 0;
  width: 11rem; 
  overflow: hidden;
  transition: max-height .4s ease-out;
} */

/* Show dropdown menu & submenu */
.dropdown__item:hover .dropdown__menu, 
.dropdown__subitem:hover > .dropdown__submenu {
  max-height: 1000px;
  transition: max-height .4s ease-in;
}

/* Rotate dropdown icon */
.dropdown__item:hover .dropdown__arrow {
  transform: rotate(180deg);
  /* border-radius:  5px 0 0 5px; */
}

/*=============== DROPDOWN SUBMENU ===============*/
.dropdown__add {
  margin-left: auto;
}

.dropdown__sublink {
  background-color: var(--black-color);
}



/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 340px) {
  .container {
    margin-inline: 1rem;
  }

  .nav__link {
    padding-inline: 1rem;
  }
}




/* For large devices */
@media screen and (min-width: 1118px) {
  .container {
    /* margin-inline: 1.5rem; */
    /* margin inline sets left right margin to the element */
    margin-inline: 4rem;
    /* max-width: 1120px; */
    /* max width defines the container size, the logo and right side buttons has space to the left and right */
    /* margin: 0 auto; */

   
  }

  .nav {
    height: calc(var(--header-height) + 2rem);
    display: flex;
    justify-content: space-between;
  }

  .nav__toggle {
    display: none;
  }

  .nav__list {
    height: 100%;
    display: flex;
    column-gap: 3rem;
  }

  .nav__link {
    height: 100%;
    padding: 0;
    justify-content: initial;
    column-gap: .25rem;
  }

  .nav__link:hover {
    background-color: transparent;
  }


  .parent_link{
    background-color: var(--black-color);
    border-radius: 0px 0px 10px 10px;
    padding: 0.5rem ;
    
  }
  
  .dropdown__link, 
  .dropdown__sublink {
    font-size: .7rem;
    /* margin-top: 0.5rem; */
    /* margin-bottom: 0.5rem; */
    /* padding: 1.1rem 0rem 1.1rem 2.1rem; */
    padding: 0.8rem 0.8rem 0.8rem 0.8rem;
    color: var(--text-color);
    background-color: var(--black-color-light);
    display: flex;
    align-items: center;
    /* column-gap: .5rem; */
    font-weight: var(--font-semi-bold);
    transition: background-color .3s;
    border-radius: 10px; 
    justify-content: center;
  }
  

  .dropdown__item, 
  .dropdown__subitem {
    position: relative;
  }

  /* hide this stylingof dropdown in order to apply above dropdown styling */
  .dropdown__menu, 
  .dropdown__submenu {
    max-height: initial;
    overflow: initial;
    position: absolute;
    left: 0rem;
    top: 6rem;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s, top .3s;

    justify-content: center;
    /* max-height: 0; */
    width: 12rem;  
    /* width of the parent container in hover on add you comp button */
    /* overflow: hidden;
    transition: max-height .4s ease-out; */
  }


  .dropdown__link, 
  .dropdown__sublink {
    padding-inline: 1rem 3.5rem;
  }

  .dropdown__subitem .dropdown__link {
    padding-inline: 1rem;
  }

  .dropdown__submenu {
    position: absolute;
    left: 100%;
    top: .5rem;
  }

  /* Show dropdown menu */
  .dropdown__item:hover .dropdown__menu {
    opacity: 1;
    top: 5.5rem;
    pointer-events: initial;
    transition: top .3s;
  }

  /* Show dropdown submenu */
  .dropdown__subitem:hover > .dropdown__submenu {
    opacity: 1;
    top: 0;
    pointer-events: initial;
    transition: top .3s;
  }

   /* nav buttons font styling */
  .loginword{
    background-color: transparent;
    font-size: 1.1rem;
    font-family:sans-serif;
    font-weight: normal;
    border: hidden;
  }

  /* styling for add your company button font */
  /* adjust padding accordingly */
  .add_compbtn{
    font-size: 1rem;
    font-weight: normal;
    padding: 0.69rem 1rem;
  
  }

  /* voltbrdige name centered; adjustment made; due to logo name gets unaligned. sol: use image with logo and name */
  .titlevb{
    padding-top:5px;
  }


}

/* navbar styling ends here with responsiveness */
.profile-circle {
  display: flex;
  align-items: center;
  /* width: auto; */
}

.profile-image {
    width: 50px;
    height: 50px;
    background-color: #23d375;
    color: #fff;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 20px; 
    border: 2px solid green;

}





